Arbor 3: FSM & BT Graph Editor 3.1.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
StateBehaviour Class Reference

Stateの挙動を定義するクラス。継承して利用する。 More...

Inheritance diagram for StateBehaviour:

## Public Member Functions
virtual void | OnStateAwake ()
| Stateに初めて入った際に呼ばれる。 More...
virtual void | OnStateBegin ()
| Stateに入った際に呼ばれる。 More...
virtual void | OnStateUpdate ()
| Stateの更新。毎フレーム呼ばれる。 More...
virtual void | OnStateLateUpdate ()
| State用のLateUpdate。毎フレーム、全てのUpdate後に呼ばれる。 More...
virtual void | OnStateEnd ()
| Stateから出る際に呼ばれる。 More...
virtual void | OnStateTrigger (string message)
| SendTriggerから呼び出される。 More...
bool | Transition (int nextStateID, TransitionTiming transitionTiming)
| 状態遷移 More...
bool | Transition (int nextStateID, bool immediateTransition)
| 状態遷移 More...
bool | Transition (int nextStateID)
| 状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。 More...
bool | Transition (State nextState, TransitionTiming transitionTiming)
| 状態遷移 More...
bool | Transition (State nextState, bool immediateTransition)
| 状態遷移 More...
bool | Transition (State nextState)
| 状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。 More...
bool | Transition (StateLink nextStateLink, TransitionTiming transitionTiming)
| 状態遷移 More...
bool | Transition (StateLink nextStateLink, bool immediateTransition)
| 状態遷移 More...
bool | Transition (StateLink nextStateLink)
| 状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。 More...
StateBehaviour | AddBehaviour (System.Type type)
| StateBehaviourを追加。 More...
T | AddBehaviour< T > ()
| StateBehaviourを追加。 More...
StateBehaviour | GetBehaviour (System.Type type)
| StateBehaviourを取得。 More...
T | GetBehaviour< T > ()
| StateBehaviourを取得。 More...
StateBehaviour[] | GetBehaviours (System.Type type)
| StateBehaviourを取得。 More...
T[] | GetBehaviours< T > ()
| StateBehaviourを取得。 More...
void | Destroy ()
| インスタンスを削除する。 More...
Public Member Functions inherited from NodeBehaviour
CalculatorSlotField | GetCalculatorSlotField (int index)
| CalculatorSlotFieldを取得する。 More...
CalculatorSlotField | GetCalculatorSlotField (CalculatorSlot slot)
| CalculatorSlotFieldを取得する。 More...
void | RebuildCalculatorSlotFields ()
| CalculatorSlotFieldを再構築する。 More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| Editor用。 More...

## Public Attributes
bool | expanded = true
| ArborEditorWindow上での開閉状態。 More...

## Protected Member Functions
sealed override void | OnInitializeEnabled ()
| enabledの初期化を行うために呼ばれる。 More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| MonoBehaviour.OnValidate を参照してください More...
virtual void | OnCreated ()
| 生成時に呼ばれるメソッド. More...
virtual void | OnPreDestroy ()
| 破棄前に呼ばれるメソッド。 More...
virtual void | OnGraphPause ()
| この関数はグラフが一時停止したときに呼ばれる。 More...
virtual void | OnGraphResume ()
| この関数はグラフが再開したときに呼ばれる。 More...
virtual void | OnGraphStop ()
| この関数はグラフが停止したときに呼ばれる。 More...

## Properties
ArborFSMInternal | stateMachine`[get]`
| ステートマシンを取得。 More...
State | state`[get]`
| Stateを取得。 More...
int | stateID`[get]`
| StateIDを取得。 More...
bool | behaviourEnabled`[get, set]`
| StateBehaviourの有効状態を取得/設定。 More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...
Node | node`[get]`
| Nodeを取得。 More...
int | calculatorSlotFieldCount`[get]`
| CalculatorSlotFieldの個数 More...

## Additional Inherited Members
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| Editor用。 More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| Editor用。 More...
static void | Destroy (NodeBehaviour behaviour)
| NodeBehaviourを破棄する。 More...

## Detailed Description

Stateの挙動を定義するクラス。継承して利用する。

## Member Function Documentation

StateBehaviour AddBehaviour | ( | System.Type | type | ) |

StateBehaviourを追加。

Parameters

  type | 追加するStateBehaviourの型

Returns
  追加したStateBehaviour

T AddBehaviour< T > | ( |  | ) |

StateBehaviourを追加。

Template Parameters

  T | 追加するStateBehaviourの型

Returns
  追加したStateBehaviour

Type Constraints

  T | : | StateBehaviour |

void Destroy | ( |  | ) |

インスタンスを削除する。

StateBehaviour GetBehaviour | ( | System.Type | type | ) |

StateBehaviourを取得。

Parameters

  type | 取得したいStateBehaviourの型。

Returns
  見つかったStateBehaviour。ない場合はnull。

T GetBehaviour< T > | ( |  | ) |

StateBehaviourを取得。

Template Parameters

  T | 取得したいStateBehaviourの型。

Returns
  見つかったStateBehaviour。ない場合はnull。

Type Constraints

  T | : | StateBehaviour |

StateBehaviour [] GetBehaviours | ( | System.Type | type | ) |

StateBehaviourを取得。

Parameters

  type | 取得したいStateBehaviourの型。

Returns
  見つかったStateBehaviourの配列。

T [] GetBehaviours< T > | ( |  | ) |

StateBehaviourを取得。

Template Parameters

  T | 取得したいStateBehaviourの型。

Returns
  見つかったStateBehaviourの配列。

Type Constraints

  T | : | StateBehaviour |

sealed override void OnInitializeEnabled | ( |  | ) |
| protected virtual

enabledの初期化を行うために呼ばれる。

Reimplemented from NodeBehaviour.

virtual void OnStateAwake | ( |  | ) |
| virtual

Stateに初めて入った際に呼ばれる。

virtual void OnStateBegin | ( |  | ) |
| virtual

Stateに入った際に呼ばれる。

virtual void OnStateEnd | ( |  | ) |
| virtual

Stateから出る際に呼ばれる。

virtual void OnStateLateUpdate | ( |  | ) |
| virtual

State用のLateUpdate。毎フレーム、全てのUpdate後に呼ばれる。

virtual void OnStateTrigger | ( | string | message | ) |
| virtual

SendTriggerから呼び出される。

Parameters

  message | メッセージ

virtual void OnStateUpdate | ( |  | ) |
| virtual

Stateの更新。毎フレーム呼ばれる。

bool Transition | ( | int | nextStateID,
|  | TransitionTiming | transitionTiming
| ) |  |

状態遷移

Parameters

  nextStateID | 遷移先のステートID。
  transitionTiming | 遷移するタイミング。

Returns
  遷移できたかどうか

bool Transition | ( | int | nextStateID,
|  | bool | immediateTransition
| ) |  |

状態遷移

Parameters

  nextStateID | 遷移先のステートID。
  immediateTransition | すぐに遷移するかどうか。falseの場合は現在フレームの最後(LateUpdate時)に遷移する。

Returns
  遷移できたかどうか

bool Transition | ( | int | nextStateID | ) |

状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。

Parameters

  nextStateID | 遷移先のステートID。

Returns
  遷移できたかどうか

bool Transition | ( | State | nextState,
|  | TransitionTiming | transitionTiming
| ) |  |

状態遷移

Parameters

  nextState | 遷移先のステート。
  transitionTiming | 遷移するタイミング。

Returns
  遷移できたかどうか

bool Transition | ( | State | nextState,
|  | bool | immediateTransition
| ) |  |

状態遷移

Parameters

  nextState | 遷移先のステート。
  immediateTransition | すぐに遷移するかどうか。falseの場合は現在フレームの最後(LateUpdate時)に遷移する。

Returns
  遷移できたかどうか

bool Transition | ( | State | nextState | ) |

状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。

Parameters

  nextState | 遷移先のステート。

Returns
  遷移できたかどうか

bool Transition | ( | StateLink | nextStateLink,
|  | TransitionTiming | transitionTiming
| ) |  |

状態遷移

Parameters

  nextStateLink | 遷移の接続先。
  transitionTiming | 遷移するタイミング。

Returns
  遷移できたかどうか

bool Transition | ( | StateLink | nextStateLink,
|  | bool | immediateTransition
| ) |  |

状態遷移

Parameters

  nextStateLink | 遷移の接続先。
  immediateTransition | すぐに遷移するかどうか。falseの場合は現在フレームの最後(LateUpdate時)に遷移する。

Returns
  遷移できたかどうか

bool Transition | ( | StateLink | nextStateLink | ) |

状態遷移する。実際に遷移するタイミングは現在フレームの最後(LateUpdate時)。

Parameters

  nextStateLink | 遷移の接続先。

Returns
  遷移できたかどうか

## Member Data Documentation

bool expanded = true

ArborEditorWindow上での開閉状態。

## Property Documentation

bool behaviourEnabled
| get set

StateBehaviourの有効状態を取得/設定。

`true` 有効; その他、 `false`.

State state
| get

Stateを取得。

int stateID
| get

StateIDを取得。

ArborFSMInternal stateMachine
| get

ステートマシンを取得。